Bug 724693 - (BRMS-576) When ModeShape is used with Oracle 10g, the Guvnor operations that use the JCR backend are very slow (need to retest with Oracle 11g)
When ModeShape is used with Oracle 10g, the Guvnor operations that use the J...
Status: CLOSED DEFERRED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: Modeshape (Show other bugs)
5.1.0 GA
Unspecified Unspecified
medium Severity medium
: ---
: BRMS 5.2.0.GA
Assigned To: Petr Široký
Petr Široký
http://jira.jboss.org/jira/browse/BRM...
:
Depends On: BRMS-638
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-30 11:17 EDT by Petr Široký
Modified: 2011-09-21 03:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Oracle 10g database (remote) ModeShape 2.2.x, patched (see SOA-2976)
Last Closed: 2011-09-21 03:17:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker BRMS-576 None Closed When ModeShape is used with Oracle 10g, the Guvnor operations that use the JCR backend are very slow. 2012-03-13 20:23:58 EDT
JBoss Issue Tracker MODE-1133 None Resolved When Oracle 10g is used, the operations that are connected with getting/storing data are very slow. 2012-03-13 20:23:58 EDT

  None (edit)
Description Petr Široký 2011-03-30 11:17:38 EDT
securitylevel_name: Public

Guvnor operations that are connected with getting/storing data to JCR backend are taking too much time (up to 20 times more comparing to JR) when ModeShape with Oracle 10g as store is used.

With MySQL 5.1 and PostgreSQL 8.4, this is not the issue. It's happening (so far) only with Oracle db.

For the test details see BRMS-502.
Comment 1 Petr Široký 2011-03-30 11:22:39 EDT
Link: Added: This issue Cloned to BRMS-577
Comment 2 Petr Široký 2011-04-04 05:08:31 EDT
Just to clarify the difference between this issue and BRMS-502. BRMS-502 is general performance degradation issue, that is happening with all databases. This issue, on the other hand, is related only to Oracle database. Following numbers were measured with local MySQL 5.1 and local Oracle 10g (test is same as in BRMS-502):
ModeShape + MySQL 5.1:   loop1= 32s, loop50= 45s, loop100= 56s, loop150= 70s
ModeShape + Oracle 10g:  loop1= 61s, loop50= 121s, loop100= 170s
Jackrabbit + MySQL 5.1:  loop1= 9s, loop50= 9s, loop100= 9s, loop150= 9s
Jackrabbit + Oracle 10g: loop1= 11s, loop50= 11s, loop100= 10.5s, loop150= 10.5s

With Jackrabbit there is not major difference between Oracle and MySQL, but with ModeShape the loop time is much bigger (and increases faster) when Oracle is used.
Comment 3 Tihomir Surdilovic 2011-06-02 18:17:29 EDT
assigning to kurt to take a look at and provide any input
Comment 6 Anne-Louise Tangring 2011-08-01 11:23:23 EDT
Oracle 10g is no longer supported as of BRMS 5.2.0. This will be retested with Oracle 11g.
Comment 7 Lukáš Petrovický 2011-08-01 11:24:51 EDT
Petr, would you re-test please?
Comment 8 Lukáš Petrovický 2011-08-12 10:28:34 EDT
This cannot be re-tested unless Modeshape is able to deploy on Oracle 11g. Adding bug 724798 to the dependencies, it needs to be fixed first.
Comment 9 Van Halbert 2011-08-12 11:45:45 EDT
MODE-1225 has been resolved for the next build, which resolves bug 724798.  This should allow Oracle 11g to be tested.
Comment 10 Len DiMaggio 2011-08-29 12:49:30 EDT
Changing status to ON_QA - requires QE to retest.
Comment 11 Lukáš Petrovický 2011-09-21 03:17:36 EDT
Modeshape performance issues will be resolved at a later release.

Note You need to log in before you can comment on or make changes to this bug.